PHP Manual
Prev |  | Next

# mysql_list_tables

(PHP 3, PHP 4, PHP 5)

mysql_list_tables -- List tables in a MySQL database

## Description

resource mysql_list_tables ( string database [, resource link_identifier] )

Retrieves a list of table names from a MySQL database.

This function deprecated. It is preferable to use mysql_query() to issue a SQL SHOW TABLES [FROM db_name] [LIKE 'pattern'] statement instead.

## Parameters

database

  The name of the database

link_identifier

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level warning is generated.

## Return Values

A result pointer resource on success, or `FALSE` on failure.

Use the mysql_tablename() function to traverse this result pointer, or any function for result tables, such as mysql_fetch_array().

## Examples

Example 1. mysql_list_tables() alternative example
`<?php $dbname = 'mysql_dbname'; if (!mysql_connect('mysql_host', 'mysql_user', 'mysql_password')) { echo 'Could not connect to mysql'; exit; } $sql = "SHOW TABLES FROM $dbname"; $result = mysql_query($sql); if (!$result) { echo "DB Error, could not list tables\n"; echo 'MySQL Error: ' . mysql_error(); exit; } while ($row = mysql_fetch_row($result)) { echo "Table: {$row[0]}\n"; } mysql_free_result($result); ?>`

## Notes

> Note: For downward compatibility, the following deprecated alias may be used: mysql_listtables()

## See Also

mysql_list_dbs()
mysql_tablename()

Prev | Home | Next
mysql_list_processes | Up | mysql_num_fields